from core import app
from flask import url_for, session, redirect,request,flash,jsonify
from datetime import datetime, date, time, timedelta
from functools import wraps
from core.library.auth import Auth
from core.library.helper import Helper

# Flask View decorators
class RouteGroup:
	def login_required(f):
		@wraps(f)
		def wrap(*args, **kwargs):
			# if user is not logged in, redirect to login page      
			if  Auth.check():
				return f(*args, **kwargs)
			else:
				return redirect(url_for('user.Home'))
		return wrap

	def bo_login_required(f):
		@wraps(f)
		def wrap(*args, **kwargs):
			# if user is not logged in, redirect to login page      
			if  Auth.bo_check():
				return f(*args, **kwargs)
			else:
				return redirect(url_for('bo.Home'))
		return wrap